#include <stdio.h>
#include <stdlib.h>
#include <usb.h>



static struct usb_device*
device_init ()
{
  struct usb_bus *usb_bus;
  struct usb_device *dev;

  usb_init ();
  usb_find_busses ();
  usb_find_devices ();

  for (usb_bus = usb_busses ; usb_bus ; usb_bus = usb_bus->next)
    for (dev = usb_bus->devices ; dev ; dev = dev->next)
      if (dev->descriptor.idVendor == 0x1b96 && dev->descriptor.idProduct == 0x1)
        return dev;
  return 0;
}

#define BUFSIZE 1024

int main (int argc, char ** argv)
{
  struct usb_device *usb_dev;
  struct usb_dev_handle *usb_handle;
  int retval = 1;
  char buf [BUFSIZE] = {0x03, 0x00};
  int bytes=2;
  int value = 0x402;
  int i;

  if(argc == 2)
  {
     buf[0] = atoi(argv[1]);
  }

  if(argc>2)
  {
	  bytes=atoi(argv[1]);
	  value = atoi(argv[2]);
	  if(argc<bytes+3)
	  {
		  printf("byte count doesn't match the arguemnt list\n");
		  return(1);
	  }

	  for(i=0;i<bytes;i++)
	  {
		  buf[i] = atoi(argv[i+3]);
	  }
  }



  usb_dev = device_init ();
  if (!usb_dev) {
    fprintf (stderr, "device not found\n");
    return 0;
  }

  usb_handle = usb_open (usb_dev);
  if (!usb_handle) {
    fprintf (stderr, "could not open device\n");
    return 0;
  }
  printf ("ok\n");
  usb_control_msg (usb_handle, 0xa1, 0x01, 0x30a, 0x1, buf, 2, 1000);
  usb_control_msg (usb_handle, 0x40, 0x0f, value, 0x100, buf, bytes, 1000);

  printf ("done\n");

  usb_close (usb_handle);

  return 0;
}
